<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MappingFile extends Model
{
    protected $table = 'mappings_files';

    protected $fillable = [
        'user_id',
        'name',
        'description',
        'file'
    ];

    public function setNameAttribute($name) {
        $this->attributes['name'] = mb_strtolower($name);
    }
}
