<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PointOfInterest extends Model
{
    protected $table = 'points_of_interest';

    // Cast Data
    protected $casts = [
        'latitude'      =>  'double',
        'longitude'     =>  'double'
    ];

    protected $fillable = [
        'campaign_id', 'google_id', 'name', 'address', 'latitude', 'longitude'
    ];
}
