<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CampaignWitness extends Model
{
    protected $table = 'campaign_witnesses';

    protected $fillable = [
        'campaign_id',
        'provider_wall_id',
        'img',
        'description'
    ];

    public function campaign() {
        return $this->belongsTo( Campaign::class );
    }
}
