<?php

namespace App\Exports;

use App\Campaign;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithHeadings;

class CampaignScreenExport implements FromCollection, WithHeadings
{
	use Exportable;

	// public function __construct( $idCampaign )
	// {
	// 	$this->idCampaign = $idCampaign;
	// }

	public function __construct( $idCampaign )
	{
		$this->idCampaign = $idCampaign;
	}

	// public function query()
	// {
	// 	// return $this->campaign->screens();
	// 	Screen::select('*')
 //                    ->with('company:id,name_company')
 //                    ->whereHas('campaigns', function($query) {
 //                        $query->where('campaign_screens.campaign_id', '=', $this->idCampaign);
 //                    });
	// 	// return 
	// }

	public function headings(): array
    {
        return [
            'ID',
			'proveedor',
			'Nombre',
			'Pais',
			'Estado',
			'Municipio/Alcaldia',
			'Colonia',
			'Calle',
			'Numero',
			'Codigo postal',
			'Ooh',
			'Tipo pantalla',
			'Formato',
			'Img',
			'Video',
			'Gif',
			'Medida pixeles',
			'Medida metros',
			'Impactos promedio mensual',
			'Velocidad promedio',
			'Webcam',
			'Tiempo spot segundos',
			'Tipo de negocio',
			'Nombre de negocio',
			'Numero de pantallas',
			'Descripcion',
			'Ubicacion (Google maps)',
			'Latitud',
			'Longitud',
			'Costo Moneda Local',
			'Tarifa Moneda Local'
        ];
    }
}
